Skip to main content
GET
/
v1
/
webhooks
/
endpoints
/
{id}
Get webhook endpoint
curl --request GET \
  --url https://api.hyperline.co/v1/webhooks/endpoints/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperline.co/v1/webhooks/endpoints/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperline.co/v1/webhooks/endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "ep_1srOrx2ZWZBpBUvZwXKQmoEYga2",
  "description": "Production webhook endpoint",
  "url": "https://example.com/webhook",
  "rate_limit": 123,
  "event_types": [
    "customer.created",
    "customer.updated"
  ],
  "created_at": "2024-01-20T16:04:11Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json
id
string
required

Webhook endpoint ID.

Example:

"ep_1srOrx2ZWZBpBUvZwXKQmoEYga2"

description
string
required

Webhook endpoint description.

Example:

"Production webhook endpoint"

url
string<uri>
required

Webhook endpoint URL.

Example:

"https://example.com/webhook"

rate_limit
number | null
required

Webhook rate limit (per second).

event_types
enum<string>[] | null
required

Webhook event types filter. If not defined, all event messages will be sent.

Available options:
event.price_calculated,
customer.created,
customer.updated,
customer.archived,
customer.recovered,
customer.deleted,
subscription.created,
subscription.trial_ended,
subscription.activated,
subscription.reactivated,
subscription.contract_started,
subscription.contract_renewed,
subscription.paused,
subscription.phase_activated,
subscription.updated,
subscription.cancellation_scheduled,
subscription.cancelled,
subscription.voided,
subscription.errored,
subscription.charged,
subscription.commitment_renewed,
subscription.reinstated,
subscription.analytics_updated,
invoice.created,
invoice.grace_period.started,
invoice.late,
invoice.ready,
invoice.reminder_sent,
invoice.settled,
invoice.errored,
invoice.chargeback,
invoice.voided,
invoice.uncollectible,
invoice.deleted,
invoice.batch.creation_succeeded,
invoice.batch.creation_failed,
credit_note.ready,
credit_note.settled,
credit_note.voided,
checkout.created,
checkout.completed,
payment_method.created,
payment_method.activated,
payment_method.errored,
payment_method.deleted,
payment_method.expiring_soon,
payment_method.expired,
wallet.credited,
wallet.debited,
wallet.low_projected_balance,
daily_analytics.ready,
dataloader.failed,
credit.low_balance,
credit.balance_refreshed,
credit.created,
credit.updated,
credit.balance_at_zero,
credit.topup_transaction_created,
credit.usage_transaction_created,
credit.expiration_transaction_created,
quote.created,
quote.updated,
quote.approval_requested,
quote.approved,
quote.sent,
quote.viewed,
quote.signed,
quote.activated,
quote.voided,
bank_account.created,
bank_account.deleted,
bank_account.errored,
custom_property.created,
custom_property.updated,
custom_property.deleted,
custom_property.value_created,
custom_property.value_updated,
aggregator.updated,
aggregator.threshold_crossed,
product.created,
product.updated,
product.archived,
product.recovered,
product.deleted,
plan.created,
plan.updated,
plan.deleted,
coupon.created,
coupon.updated,
coupon.deleted,
pricebook.created,
pricebook.updated,
pricebook.deleted,
subscription_transition.completed,
approval_workflow.created,
approval_workflow.updated,
approval_workflow.deleted,
approval_request.created,
approval_request.step_requested,
approval_request.step_approved,
approval_request.step_rejected,
approval_request.approved,
approval_request.rejected,
approval_request.cancelled,
agent.run.completed
Example:
["customer.created", "customer.updated"]
created_at
string<date-time>
required

Webhook creation date.

Example:

"2024-01-20T16:04:11Z"